﻿@model DataAccess.Model.Message

@{Html.RenderAction("SidemenuMessage", "Menu");}

<div class="dashboard-wrapper">
    <div class="container-fluid dashboard-content">
        @using (Html.BeginForm("SendMessage", "Message", FormMethod.Post))
        {
            @Html.AntiForgeryToken()
            @Html.HiddenFor(x => x.UserName)

            if (TempData["message-success"] != null)
            {
                <div class="alert alert-success alert-dismissible" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
                    @TempData["message-success"]
                </div>
            }

            <h2>Odeslat zprávu</h2>
            <div class="container">
                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Váš e-meil</label>
                    <div class="col-sm-10">
                        @Html.EditorFor(x => x.Sender, new {htmlAttributes = new { @class = "form-control" }})
                        @Html.ValidationMessageFor(x => x.Sender)
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Předmět</label>
                    <div class="col-sm-10">
                        @Html.TextBoxFor(x => x.Subject, new { @class = "form-control" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Zpráva</label>
                    <div class="col-sm-10 float-right">
                        @Html.TextAreaFor(x => x.Text, new { @class = "form-control" })
                        @Html.ValidationMessageFor(x => x.Text)
                    </div>
                </div>

                <div class="form-group float-right">
                    <div class="col-sm-2 col-sm-10">
                        <button type="submit" class="btn btn-primary">Odeslat</button>
                    </div>
                </div>
            </div>
        }
    </div>
</div>
